DotsDocs
Users

Get User Address

Read the address on file for a user. Returns `null` when no address has been submitted.

GET
/v2/users/{user_id}/addresses

Read the address on file for a user. Returns null when no address has been submitted.

Authorization

api_key
headerAuthorizationBasic <token>

Path Parameters

user_id*string

The ID of the user

Response Body

OK

application/json
  1. response

The user's address, or null when none is on file.

line_1?string
line_2?string|null
line_3?string|null
city?string
state?string
postcode?string

Canadian postal codes may be returned in uppercase A1A 1A1 format.

country?string

Two-character country code.

Example Request
curl -X GET 'https://api.dots.dev/api/v2/users/string/addresses'
Example Response
{  "line_1": "string",  "line_2": "string",  "line_3": "string",  "city": "string",  "state": "string",  "postcode": "string",  "country": "string"}